LVM and VxVM

UX:vxfs mount: ERROR: V-3-21270: /dev/vg_E6P_01/lv_data001 disk image is incompatible with this syst

 
Ray Terrell
Occasional Contributor

UX:vxfs mount: ERROR: V-3-21270: /dev/vg_E6P_01/lv_data001 disk image is incompatible with this syst

Some of the ORBC backups I run have this annoying error in them:
Hutchins, Al [2:46 PM]:

We are getting the following error:

/usr/sbin/mount -F vxfs -r /dev/vg_E6P_01/lv_data001 /oracle/E6P/sapdata1 2>&1
UX:vxfs mount: ERROR: V-3-21270: /dev/vg_E6P_01/lv_data001 disk image is incompatible with this system
[Warning] From: SSEA@ethp5130.eu.pg.com "" Time: 12/19/2007 12:50:22 PM
Filesystem /dev/vg_E6P_10/lv_data010 could not be mounted
to /oracle/E6P/sapdata10.

UX:vxfs mount: ERROR: V-3-21270: /dev/vg_E6P_01/lv_data001 disk image is incompatible with this system

There seems to be a patch for HPUX 11.11 - PHKL_33920 (old)


Is there a similar patch for HPUX 11.23?
2 REPLIES 2
Hasan  Atasoy
Honored Contributor

Re: UX:vxfs mount: ERROR: V-3-21270: /dev/vg_E6P_01/lv_data001 disk image is incompatible with this syst

hi ray ;

did you nstall any vxfs patches recently to source side ?

it seems that your source side has later version vxfs . please look at

fstyp -v /dev/vg_E6P_01/lv_data001 /oracle/E6P/sapdata1

this fs version cannot be mounyed on target. upgrade vxfs version on target according to source side ..

Hasan.
Prashanth.D.S
Honored Contributor

Re: UX:vxfs mount: ERROR: V-3-21270: /dev/vg_E6P_01/lv_data001 disk image is incompatible with this syst

Hi Ray,

On the HP-UX 11.23/VxVM 4.1 system. First (check)/install (if the) following patches (are installed)

PHCO_35043: s700_800 11.23 VxFS 4.1 Command Cumulative patch 3 (or newer)
PHCO_33522 s700_800 11.23 VxFS Manpage Cumulative patch 1 SMS Bundle (or newer)
PHCO_34036 s700_800 11.23 LVM commands patch (or newer)
PHKL_31500 s700_800 11.23 Sept04 base patch (or newer)

Make sure that on the HP-UX 11.11 system the vxfs (version 3) filesystems are unmounted/the volumegroup is inactive.

Import the volumegroup on the HP-UX 11.23/VxVM 4.1 system.

Use vxfsconvert to upgrade the vxfs (version 3) filesystem to a vxfs (version 4) filesystem

Example

# vxfsconvert /dev/vg01/rlvol2


UX:vxfs vxfsconvert: INFO: V-3-21842: Do you wish to commit to conversion? (ynq) y
UX:vxfs vxfsconvert: INFO: V-3-21852: CONVERSION WAS SUCCESSFUL

Best Regards,
Prashanth